adding git-chore

This commit is contained in:
Chris Hall 2015-02-04 11:52:23 -05:00
parent 4d07797b40
commit a36b7f4934
5 changed files with 235 additions and 2 deletions

15
bin/git-chore Normal file
View file

@ -0,0 +1,15 @@
#!/usr/bin/env bash
if test "$1" = "finish"; then
test -z $2 && echo "chore <name> required." 1>&2 && exit 1
branch=chore/$2
git merge --no-ff $branch && git delete-branch $branch
else
test -z $1 && echo "chore <name> required." 1>&2 && exit 1
if test -n "$2"; then
echo "too many arguments; if not finishing a chore, only <name> of new chore is expected" && exit 1
fi
branch=chore/$1
git checkout -b $branch &> /dev/null
test -n $? && git checkout $branch &> /dev/null
fi

View file

@ -8,10 +8,14 @@ _git_changelog(){
__gitcomp "-l -t --list --tag --no-merges"
}
_git_chore(){
__git_extras_workflow "chore"
}
_git_contrib(){
# git completion function modified from
# git completion function modified from
# https://github.com/markgandolfo/git-bash-completion/blob/master/git-completion.bash
contributors="$(git shortlog -s | cut -f2)"
contributors="$(git shortlog -s | cut -f2)"
local all c s=$'\n' IFS=$'\n'
local cur="${COMP_WORDS[COMP_CWORD]}"
for c in $contributors; do

47
man/git-chore.1 Normal file
View file

@ -0,0 +1,47 @@
.\" generated with Ronn/v0.7.3
.\" http://github.com/rtomayko/ronn/tree/0.7.3
.
.TH "GIT\-CHORE" "1" "February 2015" "" ""
.
.SH "NAME"
\fBgit\-chore\fR \- Create chore branch
.
.SH "SYNOPSIS"
\fBgit\-chore\fR [finish] <name>
.
.SH "DESCRIPTION"
Create the given chore branch
.
.SH "OPTIONS"
<finish>
.
.P
Merge and delete the chore branch\.
.
.P
<name>
.
.P
The name of the chore branch\.
.
.SH "EXAMPLES"
.
.nf
$ git chore chore\-123456
\.\.\.
$ git commit \-m "Some changes"
\.\.\.
$ git checkout master
$ git chore finish chore\-123456
.
.fi
.
.SH "AUTHOR"
Written by Chris Hall <\fIchristopher\.k\.hall@gmail\.com\fR> from bug/feature/refactor comamnds originally written by Jesús Espino <\fIjespinog@gmail\.com\fR>
.
.SH "REPORTING BUGS"
<\fIhttps://github\.com/tj/git\-extras/issues\fR>
.
.SH "SEE ALSO"
<\fIhttps://github\.com/tj/git\-extras\fR>

126
man/git-chore.html Normal file
View file

@ -0,0 +1,126 @@
<!DOCTYPE html>
<html>
<head>
<meta http-equiv='content-type' value='text/html;charset=utf8'>
<meta name='generator' value='Ronn/v0.7.3 (http://github.com/rtomayko/ronn/tree/0.7.3)'>
<title>git-chore(1) - Create chore branch</title>
<style type='text/css' media='all'>
/* style: man */
body#manpage {margin:0}
.mp {max-width:100ex;padding:0 9ex 1ex 4ex}
.mp p,.mp pre,.mp ul,.mp ol,.mp dl {margin:0 0 20px 0}
.mp h2 {margin:10px 0 0 0}
.mp > p,.mp > pre,.mp > ul,.mp > ol,.mp > dl {margin-left:8ex}
.mp h3 {margin:0 0 0 4ex}
.mp dt {margin:0;clear:left}
.mp dt.flush {float:left;width:8ex}
.mp dd {margin:0 0 0 9ex}
.mp h1,.mp h2,.mp h3,.mp h4 {clear:left}
.mp pre {margin-bottom:20px}
.mp pre+h2,.mp pre+h3 {margin-top:22px}
.mp h2+pre,.mp h3+pre {margin-top:5px}
.mp img {display:block;margin:auto}
.mp h1.man-title {display:none}
.mp,.mp code,.mp pre,.mp tt,.mp kbd,.mp samp,.mp h3,.mp h4 {font-family:monospace;font-size:14px;line-height:1.42857142857143}
.mp h2 {font-size:16px;line-height:1.25}
.mp h1 {font-size:20px;line-height:2}
.mp {text-align:justify;background:#fff}
.mp,.mp code,.mp pre,.mp pre code,.mp tt,.mp kbd,.mp samp {color:#131211}
.mp h1,.mp h2,.mp h3,.mp h4 {color:#030201}
.mp u {text-decoration:underline}
.mp code,.mp strong,.mp b {font-weight:bold;color:#131211}
.mp em,.mp var {font-style:italic;color:#232221;text-decoration:none}
.mp a,.mp a:link,.mp a:hover,.mp a code,.mp a pre,.mp a tt,.mp a kbd,.mp a samp {color:#0000ff}
.mp b.man-ref {font-weight:normal;color:#434241}
.mp pre {padding:0 4ex}
.mp pre code {font-weight:normal;color:#434241}
.mp h2+pre,h3+pre {padding-left:0}
ol.man-decor,ol.man-decor li {margin:3px 0 10px 0;padding:0;float:left;width:33%;list-style-type:none;text-transform:uppercase;color:#999;letter-spacing:1px}
ol.man-decor {width:100%}
ol.man-decor li.tl {text-align:left}
ol.man-decor li.tc {text-align:center;letter-spacing:4px}
ol.man-decor li.tr {text-align:right;float:right}
</style>
</head>
<!--
The following styles are deprecated and will be removed at some point:
div#man, div#man ol.man, div#man ol.head, div#man ol.man.
The .man-page, .man-decor, .man-head, .man-foot, .man-title, and
.man-navigation should be used instead.
-->
<body id='manpage'>
<div class='mp' id='man'>
<div class='man-navigation' style='display:none'>
<a href="#NAME">NAME</a>
<a href="#SYNOPSIS">SYNOPSIS</a>
<a href="#DESCRIPTION">DESCRIPTION</a>
<a href="#OPTIONS">OPTIONS</a>
<a href="#EXAMPLES">EXAMPLES</a>
<a href="#AUTHOR">AUTHOR</a>
<a href="#REPORTING-BUGS">REPORTING BUGS</a>
<a href="#SEE-ALSO">SEE ALSO</a>
</div>
<ol class='man-decor man-head man head'>
<li class='tl'>git-chore(1)</li>
<li class='tc'></li>
<li class='tr'>git-chore(1)</li>
</ol>
<h2 id="NAME">NAME</h2>
<p class="man-name">
<code>git-chore</code> - <span class="man-whatis">Create chore branch</span>
</p>
<h2 id="SYNOPSIS">SYNOPSIS</h2>
<p><code>git-chore</code> [finish] &lt;name&gt;</p>
<h2 id="DESCRIPTION">DESCRIPTION</h2>
<p> Create the given chore branch</p>
<h2 id="OPTIONS">OPTIONS</h2>
<p> &lt;finish&gt;</p>
<p> Merge and delete the chore branch.</p>
<p> &lt;name&gt;</p>
<p> The name of the chore branch.</p>
<h2 id="EXAMPLES">EXAMPLES</h2>
<pre><code>$ git chore chore-123456
...
$ git commit -m "Some changes"
...
$ git checkout master
$ git chore finish chore-123456
</code></pre>
<h2 id="AUTHOR">AUTHOR</h2>
<p>Written by Chris Hall &lt;<a href="&#109;&#97;&#x69;&#108;&#116;&#111;&#58;&#x63;&#x68;&#114;&#105;&#115;&#116;&#111;&#x70;&#104;&#101;&#x72;&#46;&#x6b;&#x2e;&#x68;&#x61;&#x6c;&#108;&#x40;&#x67;&#109;&#x61;&#x69;&#108;&#x2e;&#99;&#x6f;&#109;" data-bare-link="true">&#99;&#x68;&#114;&#x69;&#x73;&#116;&#x6f;&#x70;&#104;&#x65;&#114;&#x2e;&#x6b;&#x2e;&#x68;&#97;&#x6c;&#108;&#64;&#103;&#109;&#x61;&#x69;&#108;&#x2e;&#x63;&#111;&#109;</a>&gt; from bug/feature/refactor comamnds originally written by Jesús Espino &lt;<a href="&#x6d;&#97;&#105;&#x6c;&#x74;&#111;&#58;&#106;&#x65;&#x73;&#x70;&#x69;&#110;&#111;&#103;&#64;&#x67;&#x6d;&#97;&#105;&#x6c;&#46;&#99;&#x6f;&#109;" data-bare-link="true">&#106;&#x65;&#x73;&#x70;&#105;&#x6e;&#111;&#103;&#64;&#x67;&#x6d;&#97;&#x69;&#108;&#x2e;&#99;&#x6f;&#x6d;</a>&gt;</p>
<h2 id="REPORTING-BUGS">REPORTING BUGS</h2>
<p>&lt;<a href="https://github.com/tj/git-extras/issues" data-bare-link="true">https://github.com/tj/git-extras/issues</a>&gt;</p>
<h2 id="SEE-ALSO">SEE ALSO</h2>
<p>&lt;<a href="https://github.com/tj/git-extras" data-bare-link="true">https://github.com/tj/git-extras</a>&gt;</p>
<ol class='man-decor man-foot man foot'>
<li class='tl'></li>
<li class='tc'>February 2015</li>
<li class='tr'>git-chore(1)</li>
</ol>
</div>
</body>
</html>

41
man/git-chore.md Normal file
View file

@ -0,0 +1,41 @@
git-chore(1) -- Create chore branch
===============================
## SYNOPSIS
`git-chore` [finish] &lt;name&gt;
## DESCRIPTION
Create the given chore branch
## OPTIONS
&lt;finish&gt;
Merge and delete the chore branch.
&lt;name&gt;
The name of the chore branch.
## EXAMPLES
$ git chore chore-123456
...
$ git commit -m "Some changes"
...
$ git checkout master
$ git chore finish chore-123456
## AUTHOR
Written by Chris Hall &lt;<christopher.k.hall@gmail.com>&gt; from bug/feature/refactor comamnds originally written by Jesús Espino &lt;<jespinog@gmail.com>&gt;
## REPORTING BUGS
&lt;<https://github.com/tj/git-extras/issues>&gt;
## SEE ALSO
&lt;<https://github.com/tj/git-extras>&gt;